#!/bin/sh
echo "RaPiER project Raspberry Pi configuration script"
echo "Frank Sepulveda"
echo "Baylor University"
echo "frank_sepulveda@baylor.edu"
echo "Modified 10/10/15"
echo "********************************************************"
echo "Creating reftek user"
adduser reftek --gecos "First, Last, RoomNumber, WorkPhone, HomePhone" --disabled-password
echo "********************************************************"
echo "Copying RaPiER project REF TEK configuration script to reftek user" 
cd /home/pi
cp RaPiER_REFTEK.sh /home/reftek
cd /home/reftek
chmod +x RaPiER_REFTEK.sh
echo "********************************************************"
echo "Creating data directory"
cd /home/reftek
mkdir data 
chown reftek:reftek data
echo "********************************************************"
echo "Configure keyboard to US layout"
cd /etc/default
mv keyboard keyboard.bak
cp /home/pi/keyboard .
echo "********************************************************"
echo "Add reftek user to sudoers"
cd /etc
mv sudoers sudoers.bak
cp /home/pi/sudoers . 
echo "********************************************************"
echo "Configure reftek user auto-login"
cd /etc/lightdm
mv lightdm.conf lightdm.conf.bak
cp /home/pi/lightdm.conf .
echo "********************************************************"
echo "Set static eth0 (Ethernet Port) IP address to 192.168.1.100"
cd /etc/network
mv interfaces interfaces.bak
cp /home/pi/interfaces .
echo "********************************************************"
echo "Rebooting..."
reboot
